| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::AdvancedRenameInput Class Reference
Inheritance diagram for Digikam::AdvancedRenameInput:

## Public Slots
void | slotAddToken (const QString &)
void | slotClearText ()
void | slotClearTextAndHistory ()
void | slotHighlightLineEdit ()
void | slotHighlightLineEdit (const QString &word)
void | slotSetFocus ()

## Signals
void | signalReturnPressed ()
void | signalTextChanged (const QString &)
void | signalTokenMarked (bool)

## Public Member Functions
| AdvancedRenameInput (QWidget *const parent=nullptr)
void | setParser (Parser *parser)
void | setParseTimerDuration (int milliseconds)
void | setText (const QString &text)
QString | text () const

## Protected Member Functions
void | changeEvent (QEvent *e) override